import java.util.LinkedList;

import javax.swing.AbstractListModel;
/*
 * Created on 7 fvr. 2006
 */

/**
 * Ce modle est tel que les strings sont tris par ordre alphabtique
 * @author Emmanuel DURIN
 *
 */
public class SortableListModel extends AbstractListModel {
    private LinkedList list = new LinkedList();
    public int getSize() {
        return list.size();
    }
    public Object getElementAt(int index) {
        return (String)list.get(index);
    }
    
    public void addElement(String s) {
        int i = 0;
        for( ; i < list.size(); i++){
            // on recherche le fait que  
            // le String s  
            // est aprs
            // le String courant de la liste
            if (  s.compareToIgnoreCase( ((String)list.get(i)) ) <= 0){
                break;
            }
        }
        list.add(i,s);
//        System.out.println(i + " - " + s);
        fireIntervalAdded(this, i, list.size()-1);
        //fireContentsChanged(this, i, list.size()-1 );
    }
}