/*
 * Created on 25 juin 2005
 */
package jgui.actions;

import java.awt.event.*;
import java.awt.event.ActionEvent;
import java.io.File;

import javax.swing.*;
import javax.swing.AbstractAction;

import jgui.model.ContactsModel;

/**
 * @author Emmanuel DURIN
 *
 */
public class NewFileAction extends AbstractAction {

    private ContactsModel model;
    public NewFileAction(ContactsModel model) {
        this.model = model;
        putValue(SHORT_DESCRIPTION, "New file");
        putValue(LONG_DESCRIPTION, "Creates a new document.");
        putValue(NAME, "New");
        putValue(SMALL_ICON, new ImageIcon("toolbar" + File.separatorChar + "new.gif"));
        putValue(MNEMONIC_KEY, new Integer(KeyEvent.VK_N) );
        putValue(ACCELERATOR_KEY, KeyStroke.getKeyStroke(KeyEvent.VK_N, ActionEvent.CTRL_MASK));
    }

    public void actionPerformed(ActionEvent arg0) {
        model.newFile();
    }

}
