import java.awt.FlowLayout;
import java.awt.event.*;
import javax.swing.*;
/*
 * Created on 30 juin 2005
 */

/**
 * @author Emmanuel DURIN
 *
 */
public class FocusFrame extends JFrame {
    public FocusFrame()
    {
        JButton b = new JButton("OK");
        getContentPane( ).setLayout(new FlowLayout() );
        getContentPane( ).add(b);
        getContentPane( ).add(new JButton("Cancel"));
        getContentPane( ).add(new JTextField("1"));
        
        Action closeListener = new AbstractAction(){
            public void actionPerformed(ActionEvent arg0) {
                System.exit(0);
            }
        };
        
        b.addActionListener( closeListener);
        
        JPanel p = (JPanel)getContentPane();
        
        
        InputMap im = p .getInputMap(JComponent.WHEN_ANCESTOR_OF_FOCUSED_COMPONENT);
        im.put(KeyStroke.getKeyStroke(KeyEvent.VK_ENTER, 0),
                "MyClose");
        ActionMap am = p.getActionMap();
        am.put("MyClose", closeListener);
        
        setDefaultCloseOperation(EXIT_ON_CLOSE);
        setSize(300,200);
        setVisible(true);
        
    }
    public static void main(String[] args) {
        new FocusFrame();
    }
}
