import java.awt.FlowLayout;
import java.awt.event.*;

import javax.swing.*;
/*
 * Cette dmo ne met rien en vidence Input methods 
 * font partie de java.awt.ime et sont destines aux caractres 
 * extrmes orientaux
 */

public class InputMethodFrame extends JFrame {

    private JTextField text;
    
    public InputMethodFrame()
    {
        super("InputMethodFrame");
        setDefaultCloseOperation(EXIT_ON_CLOSE);
        setLayout(new FlowLayout() );
        text = new JTextField(12);
        getContentPane( ).add(text);
        text.addInputMethodListener( new InputMethodListener(){
            public void inputMethodTextChanged(InputMethodEvent event) {
                System.out.println("inputMethodTextChanged");
            }

            public void caretPositionChanged(InputMethodEvent event) {
                System.out.println("caretPositionChanged");
            }
        });
        pack();
        
    }
    /**
     * @param args
     */
    public static void main(String[] args) {
        InputMethodFrame f = new InputMethodFrame();
        f.setVisible(true);
    }

}
