import java.awt.*;

import javax.swing.*;

public class ToolBarDemo extends JFrame
{
    public ToolBarDemo()
    {
        // 
        getContentPane().add(new JTextArea(), BorderLayout.CENTER);

        JToolBar toolbar = new JToolBar("Menu", JToolBar.HORIZONTAL);
        toolbar.setFloatable(true);


        toolbar.add(new JButton(new ImageIcon("hamburger.gif")));
        toolbar.add(new JButton(new ImageIcon("hotdog.gif")));

        getContentPane().add(toolbar, BorderLayout.NORTH);
 

        toolbar.addSeparator(new Dimension(20,20));

        toolbar.add(new JButton(new ImageIcon("cheese.gif")));
        toolbar.add(new JButton(new ImageIcon("pickles.gif")));

        toolbar.addSeparator();

        Object[] addons = {"Ketchup","Mustard"};
        toolbar.add(new JComboBox(addons));
        setSize(400,400);
    }
    
    public static void main(String[] args) {
     ToolBarDemo t = new ToolBarDemo();
     t.setVisible( true );
        
    }
// 

}
