import java.awt.*;
import java.awt.Component;
//import java.lang.reflect.Field;

import javax.swing.*;
import javax.swing.JPanel;

import jgui.emailer.util.Contact;
/*
 * Created on 27 juin 2005
 */

/**
 * @author Emmanuel DURIN
 *
 */
public class FormLayoutPanel extends JPanel {
//  here are declarations for the controls you created
    javax.swing.JTextField textLastname = new javax.swing.JTextField();
    javax.swing.JLabel labelEmail = new javax.swing.JLabel("Email :");
    javax.swing.JLabel labelLastname = new javax.swing.JLabel("Lastname :");
    javax.swing.JTextField textEmail = new javax.swing.JTextField();
    javax.swing.JTextField textFirstname = new javax.swing.JTextField();
    javax.swing.JButton buttonApply = new javax.swing.JButton ("Apply");
    javax.swing.JButton buttonReset = new javax.swing.JButton ("Reset");
    Component buttonBar = com.jgoodies.forms.factories.ButtonBarFactory.buildRightAlignedBar(new javax.swing.JButton[] {buttonApply,buttonReset});
    javax.swing.JLabel labelFirstname = new javax.swing.JLabel("Firstname :");

    
    /////////////////////////////////////////////////
    private JDialog dialog;
    
    private Contact contact;

    public FormLayoutPanel(JDialog d, Contact contact) {
        this.dialog = d;
        this.contact = contact;

        org.mlc.swing.layout.LayoutConstraintsManager layoutConstraintsManager = 
            org.mlc.swing.layout.LayoutConstraintsManager.getLayoutConstraintsManager(
                this.getClass().getResourceAsStream("contactpanel.xml"));
        setLayout((LayoutManager)layoutConstraintsManager.getLayouts().get(0));
        
        // param 1 = composant du JPanel
        // param 2 = contrainte dcrite dans le fichier XML
        add (textLastname, "textLastname");
        add (labelEmail, "labelEmail");
        add (labelLastname, "labelLastname");
        add (textEmail, "textEmail");
        add (textFirstname, "textFirstname");
        add (buttonBar, "buttonBar");
        add (labelFirstname, "labelFirstname");

//			pourrait marcher mais il faudrait exlure les boutons
//			et le JDialog        
//        Field[] fields = FormLayoutPanel.class.getDeclaredFields();
//        for ( int i= 0 ; i<fields.length; i++ ){
//            try {
//                Field f = fields[i];                
//                System.out.println(f.getName() + " - "
//                        + f.get(this));
//                if ( f.get(this) instanceof Component && !){
//                    Component c = (Component)f.get(this);
//                    add( c, f.getName());
//                }
//            } catch (Exception e) {
//                e.printStackTrace();
//            } 
//        }
        reset();

        buttonApply.addActionListener( new java.awt.event.ActionListener(){
            public void actionPerformed(  java.awt.event.ActionEvent event)
            {
                applyChanges();
                dialog.dispose();
            }
        });
        
        buttonReset.addActionListener( new java.awt.event.ActionListener(){
            public void actionPerformed(  java.awt.event.ActionEvent event)
            {
                reset();
            }
        });
    }
    private void applyChanges() {
        contact.setFirstname(textFirstname.getText( ));
        contact.setLastname(textLastname.getText( ));
        contact.setEmailAddress(textEmail.getText( )); 
    }
    private void reset() {
        textFirstname.setText( contact.getFirstname());
        textLastname.setText( contact.getLastname());
        textEmail.setText( contact.getEmailAddress()); 
    }    
}
