/*
 * Created on 25 juin 2005
 */
package jgui.actions;

import java.awt.event.*;
import java.awt.event.ActionEvent;
import java.io.*;

import javax.swing.*;

import jgui.model.ContactsModel;

/**
 * @author Emmanuel DURIN
 *
 */
public class SaveAsAction extends AbstractAction implements Action {

    private ContactsModel model;
    
    public SaveAsAction( ContactsModel model) {
        this.model = model;
        putValue(SHORT_DESCRIPTION, "Save as...");
        putValue(LONG_DESCRIPTION, "Save in a different file");
        putValue(NAME, "Save As...");
        putValue(MNEMONIC_KEY, new Integer(KeyEvent.VK_A) );
    }

    public void actionPerformed(ActionEvent event) {
        try {
            model.save();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
