/*
 * Created on 28 juin 2005
 */
package jgui.actions;

import java.awt.event.*;

import javax.swing.*;

import jgui.gui.*;

/**
 * @author Emmanuel DURIN
 *
 */
public class OptionsAction extends AbstractAction implements Action {
    private ContactsFrame frame;
    
    public OptionsAction(ContactsFrame frame) {
        this.frame = frame;
        putValue(SHORT_DESCRIPTION, "Options");
        putValue(LONG_DESCRIPTION, "To set the options");
        putValue(NAME, "Options");
        putValue(ACCELERATOR_KEY, KeyStroke.getKeyStroke(KeyEvent.VK_F7, ActionEvent.CTRL_MASK));
        putValue(MNEMONIC_KEY, new Integer(KeyEvent.VK_P) );
        
    }
    
    public void actionPerformed(ActionEvent event) {
        new SettingsDialog(frame);
    }

}
