/*
 * Created on 28 juin 2005
 */
package jgui.gui;

import java.awt.*;

import javax.swing.*;
import javax.swing.border.*;

/**
 * @author Emmanuel DURIN
 *
 */
public class ComposePanel extends JPanel implements Appliable  {

    
    private JCheckBox ccFieldsCheck = new JCheckBox("Show CC fields"),
    				  includeMessagesCheck = new JCheckBox("Include messages in reply"),
    				  signatureCheck = new JCheckBox("Signature :");
    private JTextArea textareaSignature = new JTextArea(5,20);
    
    private JTextField textFontSettings = new JTextField(20);
    
    public ComposePanel ( )
    {
       setLayout(new GridBagLayout() );
       GridBagConstraints gbc = new GridBagConstraints();

       Border b = 
	           BorderFactory.createTitledBorder(
	               BorderFactory.createEtchedBorder(),
	               "Font settings",
	               TitledBorder.LEFT,
	               TitledBorder.TOP
	               );
       
       JPanel panel = new JPanel();
       panel.add(textFontSettings);
       panel.setBorder(b);

       gbc.gridx = 0;
       gbc.gridy = 0;
       gbc.gridwidth = 2;
       gbc.anchor = GridBagConstraints.WEST;
       gbc.ipadx = 10;
       gbc.ipady = 10;
       gbc.insets.top = 20;       
       gbc.insets.left = 20;
       add( panel, gbc );
       gbc.insets.top = 0;
       
       
       gbc.gridy++;
       add( ccFieldsCheck,gbc);

       gbc.gridy++;
       add( includeMessagesCheck,gbc);

       gbc.gridy++;
       add( signatureCheck ,gbc);
       
       gbc.insets.left = 40;
       gbc.insets.right = 40;       
       gbc.gridy++;
       add( new JScrollPane(textareaSignature), gbc );
   }

    /* (non-Javadoc)
     * @see jgui.gui.Appliable#apply()
     */
    public void apply() {
    }
    
}
