/*
 * Created on 5 sept. 2006
 */
package jgui.gui.datatransfer.dnd;

import java.awt.dnd.*;

import javax.swing.JList;

import jgui.emailer.util.Contact;
import jgui.gui.datatransfer.ContactSelection;

public class IconGestureListener implements DragGestureListener {

    public void dragGestureRecognized(DragGestureEvent evt)
    {
        DragGestureRecognizer recognizer = evt.getSourceAsDragGestureRecognizer();
        if ((evt.getDragAction() & recognizer.getSourceActions()) == 0) return;
        
        JList list = (JList) recognizer.getComponent();
//        label.setBorder(SimpleDnDExample.LOWERED_BORDER);
    
        System.out.println("dragGestureRecognized");
        Contact contact = (Contact)list.getSelectedValue();
        if ( contact != null ){
            evt.startDrag(
                // cursor
                DragSource.DefaultCopyDrop,
                // transferable object
                new ContactSelection(contact),
                // drag listener
                new ListDragSourceListener());
        }
    }
}
