import javax.swing.*;
import javax.swing.JWindow;
/*
 * Created on 14 fvr. 2006
 */

/**
 * @author Emmanuel DURIN
 *
 */
public class GlassPaneWindow extends JWindow {

    /**
     * 
     */
    public GlassPaneWindow() {
        super();
        // fentre de petite dimension : 10x10 
        //  la position 300x300
        setBounds(300,300, 10,10);
        getContentPane().setVisible(false);
        ImageIcon i = new ImageIcon("numerovert.gif");
        // observations : 
        // 1) le glassPane ne se dessine pas 
        // au-del de sa fentre parent
        // 2) le glassPane n'est dessin que si la fentre est dessine
        setGlassPane( new JLabel(i));
        getGlassPane().setVisible(true);
        
        setVisible(true);
        
        Thread t = new Thread( new Runnable(){
            public void run() {
                try {
                    Thread.sleep(3000);
                } catch (Exception e) {
                    e.printStackTrace();
                }
                // La dmo reste visble 3 s
                setVisible(false);
                dispose();
                System.exit(0);
            }
        });
        t.start();
    }

    public static void main(String[] args) {
        new GlassPaneWindow();
    }
}
