import java.awt.Color;

import javax.swing.*;

/**
 * @author Emmanuel DURIN
 *
 */
public class Main {

    private static final int width = 150;
    private static final int height = 150;
    public static void main(String[] args) {

        JFrame jf = new JFrame("LayeredPanel demo");
        jf.setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
        JLayeredPane layeredPane = new JLayeredPane();
   
        Color [] backGroundColors = { Color.PINK, Color.WHITE };
        Color [] foreGroundColors = { Color.RED, Color.BLACK };      
        // cration des 5 fentres ( JLabel)
        for (int level = 0; level < 5; level++) {
            layeredPane.add(
                    new DrawingLabel(
	                    backGroundColors[level%backGroundColors.length], foreGroundColors[level%foreGroundColors.length],
	                    // positionnement des fentres avec 
	                    // lger dcalage
	                    0+width*level/5,
	                    0+height*level/5,
	                    width,height, level*100),
	                    // niveau de la couche o est ajout le composant
	                    new Integer(level*100));
        }

        jf.getContentPane().add( layeredPane);
        jf.setSize(400,350);
        jf.setVisible(true);
    }
}