/*
 * Created on 1 juil. 2005
 */
package gui;

import java.awt.*;
import java.awt.HeadlessException;
import java.text.DateFormat;
import java.util.*;
import java.util.Date;

import javax.swing.*;
import javax.swing.JApplet;

/**
 * @author Emmanuel DURIN
 *

 * */
public class TimeApplet extends JApplet implements Runnable{

    private JLabel timeLabel = new JLabel();
    public TimeApplet() throws HeadlessException {
    }

    public void destroy() {
        
    }


    public void init() {
        super.init();
        getContentPane().add( timeLabel );
        
        // ici l'AppletContext est disponible
        // permet de tlcharger du multimdia
        
        // on peut  partir de init accder aux param
        // passs  l'Applet
        Thread t = new Thread( this  );
        t.start();

    }
    public void run() {
        while( true ){
            repaint();
            try {
                Thread.sleep(1000);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
        }     
    }    
   public void paint(Graphics g) {
	 Date d = new Date();
	 DateFormat df = 
	     DateFormat.getTimeInstance(DateFormat.MEDIUM, Locale.FRENCH);
	 timeLabel.setText( df.format(d) );
	 super.paint(g);
   }
   
   public void start() {
        super.start();
    }
    public void stop() {
        super.stop();
    }
     
}
