/*
 * Created on 25 juin 2005
 */
package jgui.actions;

import java.awt.event.*;
import java.io.*;

import javax.swing.*;


/**
 * @author Emmanuel DURIN
 *
 */
public class ExitAction extends AbstractAction implements Action {

    private JFrame frame;
    public ExitAction( JFrame frame)
    {
        this.frame = frame;
        putValue(SHORT_DESCRIPTION, "Exit");
        putValue(LONG_DESCRIPTION, "Exit the Contact application");
        putValue(NAME, "Exit");
        putValue(MNEMONIC_KEY, new Integer(KeyEvent.VK_X) );
        putValue(ACCELERATOR_KEY, KeyStroke.getKeyStroke(KeyEvent.VK_X, ActionEvent.ALT_MASK));        
        
    }  
    private void write(Object o ) throws Exception
    {
        FileOutputStream fos = null;
        fos = new FileOutputStream("voiture.ser");
        ObjectOutputStream oos = null;
        oos = new ObjectOutputStream( fos );
        oos.writeObject(o);
    }    
    public void actionPerformed(ActionEvent event) {
        
        try {
            write( frame );
        } catch (Exception e) {
            e.printStackTrace();
        }
        frame.dispose();
    }
}
