/*
 * Created on 25 juin 2005
 */
package jgui.actions;

import java.awt.event.*;
import java.awt.event.ActionEvent;
import java.io.File;

import javax.swing.*;


/**
 * @author Emmanuel DURIN
 *
 */
public class CutAction extends AbstractAction implements Action {

    private JFrame frame;
    
    public CutAction(JFrame frame) {
        this.frame = frame;
        putValue(SHORT_DESCRIPTION, "Cut");
        putValue(LONG_DESCRIPTION, "Cut and put the cut content in the clipboard.");
        putValue(NAME, "Cut");
        putValue(SMALL_ICON, new ImageIcon("toolbar" + File.separatorChar + "cut.gif"));
        putValue(MNEMONIC_KEY, new Integer(KeyEvent.VK_T) );
        putValue(ACCELERATOR_KEY, KeyStroke.getKeyStroke(KeyEvent.VK_X, ActionEvent.CTRL_MASK));
    }
    public void actionPerformed(ActionEvent arg0) {
        CutCopyPasteHelper.callMethod(frame, "cut");
    }

}
