/*
 * Created on 28 juin 2005
 */
package jgui.gui;

import java.awt.*;
import java.awt.GridBagLayout;

import javax.swing.*;
import javax.swing.JPanel;

/**
 * @author Emmanuel DURIN
 *
 */
public class ConnectionPanel extends JPanel implements Appliable  {
    private JLabel labelEmail = new JLabel("Email :"),
    			   labelMailServer = new JLabel("Mail Server Name :"),
    			   labelMinutes = new JLabel("minute(s)");
    private JCheckBox autoCheck = new JCheckBox("Check for messages every :");
    private JTextField textMinutes = new JTextField(12),
    					textEmailAddress = new JTextField(12),
    					textMailServer = new JTextField(12)
    					;
    
    public ConnectionPanel( )
    {
       setLayout(new GridBagLayout() );
       GridBagConstraints gbc = new GridBagConstraints();
       
       gbc.gridx = 0;
       gbc.gridy = 0;
       gbc.gridwidth = 2;
       gbc.anchor = GridBagConstraints.WEST;
       gbc.ipadx = 10;
       gbc.ipady = 0;
       gbc.insets.top = 20;       
       gbc.insets.left = 20;
       add( labelEmail, gbc );
       
       gbc.insets.top = 0;
       gbc.insets.left = 60;       
       gbc.gridy++;
       add( textEmailAddress,gbc);

       gbc.insets.top = 15; 
       gbc.insets.left = 20;       
       gbc.gridy++;
       add( labelMailServer, gbc );

       gbc.insets.top = 0;       
       gbc.insets.left = 60;       
       gbc.gridy++;
       add( textMailServer,gbc);

       gbc.insets.top = 15;       
       gbc.insets.left = 20;       
       gbc.gridy++;
       add( autoCheck,gbc);       

       gbc.insets.top = 0;       
       gbc.insets.bottom = 30;
       gbc.insets.left = 60;       
       gbc.gridy++;
       gbc.gridwidth = 1;
       add( textMinutes,gbc);
       gbc.insets.left = 15;
       gbc.gridx++;
       add( labelMinutes,gbc);
    }

    /* (non-Javadoc)
     * @see jgui.gui.Appliable#apply()
     */
    public void apply() {
    }
    
}
