/*
 * Created on 25 juin 2005
 */
package jgui.actions;

import java.awt.event.*;
import java.awt.event.ActionEvent;
import java.io.File;

import javax.swing.*;

/**
 * @author Emmanuel DURIN
 *
 */
public class CopyAction extends AbstractAction implements Action {
    private JFrame frame;
    
    public CopyAction(JFrame frame) {
        this.frame = frame;
        putValue(SHORT_DESCRIPTION, "Copy");
        putValue(NAME, "Copy");        
        putValue(LONG_DESCRIPTION, "Copy and put the content in the clipboard.");
        putValue(SMALL_ICON, new ImageIcon("toolbar" + File.separatorChar + "copy.gif"));
        putValue(MNEMONIC_KEY, new Integer(KeyEvent.VK_C) );
        putValue(ACCELERATOR_KEY, KeyStroke.getKeyStroke(KeyEvent.VK_C, ActionEvent.CTRL_MASK));
    }
    public void actionPerformed(ActionEvent event) {
        CutCopyPasteHelper.callMethod(frame, "copy");
    }
}