/*
 * Created on 25 juin 2005
 */
package jgui.actions;

import java.awt.*;
import java.awt.Component;
import java.lang.reflect.Method;

/**
 * @author Emmanuel DURIN
 *
 */
public class CutCopyPasteHelper {
    public static void callMethod( Frame parentWindow, String methodName)
    {
        Component c = parentWindow.getFocusOwner();
        Class componentClass = c.getClass();
        
        Method m;
        try {
            m = componentClass.getMethod(methodName, new Class[]{});
            if ( m != null ){
                m.invoke(c, new Object[]{});
            }
        } catch (Exception e) {
            // No method found : normal flow 
        }    
    }

}
