/*
 * Created on 29 juin 2005
 */
package jgui.gui;

import java.awt.Component;
import java.io.File;

import javax.swing.*;
import javax.swing.table.TableCellRenderer;

/**
 * @author Emmanuel DURIN
 *
 */
public class PortraitRender extends JLabel implements TableCellRenderer {


    private static final File dir ;
    private static final File [] files ;
    private static int counter = 0;
    private static ImageIcon [] icons = null;
    private static JLabel [] labels = null;
    
    static{
        dir = new File(".."+File.separator+"pictures");
        files = dir.listFiles();
        if ( files.length != 0 ){
	        icons = new ImageIcon[files.length];
	        labels = new JLabel[files.length];
	        for (int i = 0; i < icons.length; i++) {
	            icons[i] = new ImageIcon(files[i].getAbsolutePath());
	            labels[i] =new JLabel();
	            labels[i].setIcon(icons[i]);
	            /// piste pour redimensionner l'image
	            
//BufferedImage im = new BufferedImage(25,40, BufferedImage.TYPE_USHORT_GRAY );
//Graphics g = im.getGraphics();
/*
drawImage(Image img, int dx1, int dy1, int dx2, int dy2, 
int sx1, int sy1, int sx2, int sy2, 
Color bgcolor, ImageObserver observer) 
 */
//boolean result = g.drawImage(icons[i].getImage(), 0,0,icons[i].getIconWidth()-1 ,icons[i].getIconHeight()-1, 
//        0,0,24 ,39, Color.BLACK, null );
//g.setColor(Color.BLACK);
//g.drawLine(0,0, 24,39);
//System.out.println(result + " - "+ icons[i].getIconWidth() + " - "+ icons[i].getIconHeight());
//ImageIcon ic = new ImageIcon();
//
//ic.setImage(im);
//labels[i].setIcon(ic);
	    
	        }
        }
    }
    
    public Component getTableCellRendererComponent(JTable t, Object value,
            boolean isSelected, boolean hasFocus, int row, int column)
    {
        int index = row % files.length ;
        t.setRowHeight( row,icons[index].getIconHeight());
        
        labels[index].setOpaque(true);
        if ( isSelected )
            labels[index].setBackground( t.getSelectionBackground());
        else
            labels[index].setBackground( t.getBackground());
        
        if ( files.length != 0)
            return labels[ index ];
        else
            return new JLabel("");
    
    }
}
