/*
 * Created on 25 juin 2005
 */
package jgui.actions;

import java.awt.event.*;
import java.io.File;

import javax.swing.*;

/**
 * @author Emmanuel DURIN
 *
 */
public class PasteAction extends AbstractAction implements Action {

    private JFrame frame;
    
    public PasteAction(JFrame frame) {
        this.frame = frame;
        putValue(SHORT_DESCRIPTION, "Paste");
        putValue(LONG_DESCRIPTION, "Paste : takes the content from the clipboard.");
        putValue(NAME, "Paste");
        putValue(SMALL_ICON, new ImageIcon("toolbar" + File.separatorChar + "paste.gif"));
        putValue(MNEMONIC_KEY, new Integer(KeyEvent.VK_P) );
        putValue(ACCELERATOR_KEY, KeyStroke.getKeyStroke(KeyEvent.VK_V, ActionEvent.CTRL_MASK));
    }

    public void actionPerformed(ActionEvent event) {
        CutCopyPasteHelper.callMethod(frame, "paste");
    }
}
