package jgui;
import java.awt.*;
import java.awt.event.*;
import java.awt.event.ComponentListener;

import javax.swing.*;

public class PreventResizeFrame extends JFrame
	implements ComponentListener
{
    public PreventResizeFrame()
    {
        super("FlowLayout Frame");

        // ce container est cr par la JFrame
        // il a un BorderLayout
        Container c = getContentPane();
        c.setLayout(new FlowLayout());
        
        c.add(new JLabel("Name"));
        c.add(new JTextField(10));
        c.add(new JButton("OK"));

        setDefaultCloseOperation( EXIT_ON_CLOSE );
        setSize( 300, 250);
        addComponentListener(this);
    }
    public static void main( String [] args )
    {
        PreventResizeFrame f = new PreventResizeFrame();
        f.setVisible(true);
    }

    /* (non-Javadoc)
     * @see java.awt.event.ComponentListener#componentHidden(java.awt.event.ComponentEvent)
     */
    public void componentHidden(ComponentEvent arg0) {
    }

    /* (non-Javadoc)
     * @see java.awt.event.ComponentListener#componentMoved(java.awt.event.ComponentEvent)
     */
    public void componentMoved(ComponentEvent arg0) {
    }

    private static final int MAXWIDTH = 200;
    private static final int MAXHEIGHT = 200;
    
    /* (non-Javadoc)
     * @see java.awt.event.ComponentListener#componentResized(java.awt.event.ComponentEvent)
     */
    public void componentResized(ComponentEvent event) {
        int w = getWidth();
        int h = getHeight();
        setSize( Math.max(MAXWIDTH, w ), Math.max(MAXHEIGHT , h ));
    }

    /* (non-Javadoc)
     * @see java.awt.event.ComponentListener#componentShown(java.awt.event.ComponentEvent)
     */
    public void componentShown(ComponentEvent arg0) {
        
    }
    
}
