import java.awt.Point;
import java.util.*;
import java.util.Vector;

public class ThreadDeplacement extends Thread {
    private Vector points = new Vector();
    private Vector listeners = new Vector();
    
    public ThreadDeplacement() {
        super();
    }
    public void addListener( PointListener  pl )
    {
        // il faudrait peut tre faire une synchro ...
        // mais le vector est synchronis
        // contrairement aux collections de java 2 
        // ( ArrayList, LinkedList, HashSet, TreeSet, HashMap, TreeMap)  
        listeners.addElement( pl );
    }
    
    public void run()
    {
        Random r = new Random();
        while(true){
            try {
                sleep(50);
                int result = r.nextInt(10);
                switch(result){
                case 0: case 1:
                    // ajouter un point
                    Point p = new Point(r.nextInt(200)-100, r.nextInt(200)-100 );
                    System.out.println(p);
                    points.addElement( p );
                    synchronized( listeners){
	                    for (int i = 0; i < listeners.size(); i++) {
	                        PointListener pl = (PointListener)listeners.get(i);
	                        pl.addPoint(p);
	                    }
                    }
                    break;
                    
                    case 2 : 
                     // enlever un point
                      break;
                }
                
                // bouger tous les points
                for (int i = 0; i < points.size(); i++) {
                    Point p = (Point)points.get(i);
                    p.x += r.nextInt(9) - 4;
                    p.y += r.nextInt(9) - 4;
                }
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
        }
        
    }
}
