package jgui.emailer.util;

import javax.swing.ImageIcon;

/**
 * This class is used to store employee informations.
 * This class implements java.io.Serializable to be saved in a file.
 */
public class Contact
  implements
    java.io.Serializable
{
  /**
   * Contact's name.
   */
  private String firstname;

  /**
   * Contact's lastname.
   */
  private String lastname;

  /**
   * Contact's e-mail address.
   */
  private String emailAddress;

  /**
   * Contact's portrait.
   */
  private ImageIcon picture;

  /**
   * Object method redefinition.
   */
  public String toString()
  {
    return firstname + " " + lastname;
  }

  /**
   * Contact's only constructor.
   */
  public Contact()
  {
    firstname = "John";
    lastname = "Smith";
    emailAddress = "john.smith@acme.com";
  }

  /**
   * Accessors to the attributes
   */
  public String getFirstname()
  {
    return this.firstname;
  }

  public String getLastname()
  {
    return this.lastname;
  }

  public String getEmailAddress()
  {
    return this.emailAddress;
  }

  public ImageIcon getPicture()
  {
    return this.picture;
  }

  /**
   * Mutators
   */
  public void setFirstname(String firstname)
  {
    this.firstname = firstname;
  }

  public void setLastname(String lastname)
  {
    this.lastname = lastname;
  }

  public void setEmailAddress(String emailAddress)
  {
    this.emailAddress = emailAddress;
  }

  public void setPicture(ImageIcon picture)
  {
    this.picture = picture;
  }
}
