package jgui.emailer.util;

/**
 * This class represent an e-mail.
 * This class implements java.io.Serializable to be saved in a file.
 * 
 * @version 1.0 - 20/04/00
 * @author David Attias
 */
public class Mail
    implements
        java.io.Serializable
{
    /**
     * Mail pitcher.
     */
    public String from;

    /**
     * Mail catcher.
     */
    public String to;
    
    /**
     * Mail subject.
     */
    public String subject;
    
    /**
     * Mail text.
     */
    public String text;

    /**
     * Object method redefinition.
     */
    public String toString()
    {
        return "From " + from + " to " + to + ", subject: " + subject;
    }

  /**
   * Mail's only constructor.
   */
    public Mail()
    {
      from = "Calvin";
      to = "Hobbes";
      subject = "Get lost!";
      text = "";
    }
}
