import java.awt.dnd.*;

import javax.swing.JLabel;

class IconGestureListener implements DragGestureListener
{    
    public void dragGestureRecognized(DragGestureEvent evt)
    {
        DragGestureRecognizer recognizer = evt.getSourceAsDragGestureRecognizer();
        if ((evt.getDragAction() & recognizer.getSourceActions()) == 0) return;
        
        JLabel label = (JLabel) recognizer.getComponent();
        label.setBorder(SimpleDnDExample.LOWERED_BORDER);
        
        evt.startDrag(
            // cursor
            DragSource.DefaultCopyDrop,
            // transferable object
            new JavaObject(label.getIcon()),
            // drag listener
            new IconDragSourceListener());
    }
}
